--- include/class.email_account.php	2009-01-12 23:15:12.068965748 +0200
+++ /usr/share/eventum/include/class.email_account.php	2009-02-05 02:03:28.794055808 +0200
@@ -30,7 +30,6 @@
 //
 
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 class Email_Account
 {
@@ -50,7 +49,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  WHERE
                     ema_id=$ema_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -79,7 +78,7 @@
                     ema_issue_auto_creation_options='" . @serialize($options) . "'
                  WHERE
                     ema_id=" . Misc::escapeInteger($ema_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -105,7 +104,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "support_email
                  WHERE
                     sup_id=$sup_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -134,7 +133,7 @@
                     ema_username='" . Misc::escapeString($username) . "' AND
                     ema_hostname='" . Misc::escapeString($hostname) . "' AND
                     ema_folder='" . Misc::escapeString($mailbox) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -179,7 +178,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  WHERE
                     ema_id=$ema_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -207,7 +206,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  WHERE
                     ema_prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -217,7 +216,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                      WHERE
                         ema_prj_id IN ($items)";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return false;
@@ -241,7 +240,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  WHERE
                     ema_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -297,7 +296,7 @@
                     " . Misc::escapeInteger($_POST["leave_copy"]) . ",
                     " . Misc::escapeInteger($_POST["use_routing"]) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -342,7 +341,7 @@
                     ema_use_routing=" . Misc::escapeInteger($_POST["use_routing"]) . "
                  WHERE
                     ema_id=" . $_POST["id"];
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -367,7 +366,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_account
                  ORDER BY
                     ema_hostname";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -410,7 +409,7 @@
                     ema_prj_id IN (" . join(',', $projects) . ")
                  ORDER BY
                     ema_title";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -441,7 +440,7 @@
                     ema_prj_id=" . Misc::escapeInteger($prj_id) . "
                  LIMIT
                     0, 1";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -469,7 +468,7 @@
                  WHERE
                     ema_prj_id=iss_prj_id AND
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
--- include/class.email_response.php	2009-01-12 23:15:12.068965748 +0200
+++ /usr/share/eventum/include/class.email_response.php	2009-02-05 02:03:28.797391218 +0200
@@ -29,8 +29,6 @@
 // @(#) $Id: class.email_response.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
 
 /**
  * Class to handle the business logic related to the administration
@@ -62,7 +60,7 @@
                     " . Misc::escapeInteger($ere_id) . ",
                     " . Misc::escapeInteger($prj_id) . "
                  )";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -86,7 +84,7 @@
                     '" . Misc::escapeString($_POST["title"]) . "',
                     '" . Misc::escapeString($_POST["response_body"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -114,7 +112,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_response
                  WHERE
                     ere_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -148,7 +146,7 @@
         if ($prj_id) {
             $stmt .= " AND per_prj_id=$prj_id";
         }
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -178,7 +176,7 @@
                     ere_response_body='" . Misc::escapeString($_POST["response_body"]) . "'
                  WHERE
                     ere_id=" . $_POST["id"];
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -210,7 +208,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_response
                  WHERE
                     ere_id=$ere_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -242,7 +240,7 @@
                  WHERE
                     prj_id=per_prj_id AND
                     per_ere_id=$ere_id";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -268,7 +266,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_response
                  ORDER BY
                     ere_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -303,7 +301,7 @@
                     per_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     ere_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -332,7 +330,7 @@
                  WHERE
                     per_ere_id=ere_id AND
                     per_prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
--- include/class.error_handler.php	2009-01-25 05:39:02.157369722 +0200
+++ /usr/share/eventum/include/class.error_handler.php	2009-02-05 02:15:18.594196189 +0200
@@ -29,9 +29,6 @@
 // @(#) $Id: class.error_handler.php 3809 2009-01-25 03:40:17Z glen $
 //
 
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.mail.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Class to manage all tasks related to error conditions of the site, such as
@@ -130,7 +127,7 @@
         $subject = APP_SITE_NAME . ' - Error found! - ' . $date;
 
         foreach ($notify_list as $notify_email) {
-            $mail = new Mail_API;
+            $mail = new Mail_Helper;
             $mail->setTextBody($msg);
             $mail->send($notify_from, $notify_email, $subject, 0, false, 'error');
         }
--- include/class.faq.php	2009-01-12 23:15:12.052089091 +0200
+++ /usr/share/eventum/include/class.faq.php	2009-02-05 02:04:13.547383186 +0200
@@ -66,7 +66,7 @@
                      ORDER BY
                         faq_rank ASC";
         }
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -75,7 +75,7 @@
                 if (empty($res[$i]['faq_updated_date'])) {
                     $res[$i]['faq_updated_date'] = $res[$i]['faq_created_date'];
                 }
-                $res[$i]['faq_updated_date'] = Date_API::getSimpleDate($res[$i]["faq_updated_date"]);
+                $res[$i]['faq_updated_date'] = Date_Helper::getSimpleDate($res[$i]["faq_updated_date"]);
             }
             return $res;
         }
@@ -95,7 +95,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
                  WHERE
                     faq_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -125,7 +125,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq_support_level
                  WHERE
                     fsl_faq_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -155,13 +155,13 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
                  SET
                     faq_prj_id=" . $_POST['project'] . ",
-                    faq_updated_date='" . Date_API::getCurrentDateGMT() . "',
+                    faq_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
                     faq_title='" . Misc::escapeString($_POST["title"]) . "',
                     faq_message='" . Misc::escapeString($_POST["message"]) . "',
                     faq_rank=" . $_POST['rank'] . "
                  WHERE
                     faq_id=" . $_POST["id"];
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -204,12 +204,12 @@
                  ) VALUES (
                     " . $_POST['project'] . ",
                     " . Auth::getUserID() . ",
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($_POST["title"]) . "',
                     '" . Misc::escapeString($_POST["message"]) . "',
                     " . $_POST['rank'] . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -245,7 +245,7 @@
                     " . Misc::escapeInteger($faq_id) . ",
                     " . Misc::escapeInteger($support_level_id) . "
                  )";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -264,7 +264,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
                  WHERE
                     faq_id=" . Misc::escapeInteger($faq_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -276,7 +276,7 @@
             if (empty($res['faq_updated_date'])) {
                 $res['faq_updated_date'] = $res['faq_created_date'];
             }
-            $res['faq_updated_date'] = Date_API::getFormattedDate($res['faq_updated_date']);
+            $res['faq_updated_date'] = Date_Helper::getFormattedDate($res['faq_updated_date']);
             $res['message'] = Misc::activateLinks(nl2br(htmlspecialchars($res['faq_message'])));
             return $res;
         }
@@ -300,7 +300,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
                  ORDER BY
                     faq_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -333,7 +333,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq_support_level
                  WHERE
                     fsl_faq_id=" . Misc::escapeInteger($faq_id);
-        $ids = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $ids = Db_Helper::getInstance()->getCol($stmt);
 
         $t = array();
         $levels = Customer::getSupportLevelAssocList(Misc::escapeInteger($prj_id));
@@ -384,7 +384,7 @@
                         faq_rank=" . $ranking[$faq_id] . "
                      WHERE
                         faq_id=" . $replaced_faq_id;
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
@@ -392,7 +392,7 @@
                     faq_rank=" . $new_rank . "
                  WHERE
                     faq_id=" . $faq_id;
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         return true;
     }
 
@@ -413,7 +413,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "faq
                  ORDER BY
                     faq_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
--- include/class.filter.php	2009-01-26 15:12:31.987364874 +0200
+++ /usr/share/eventum/include/class.filter.php	2009-02-05 02:03:28.804058755 +0200
@@ -29,10 +29,6 @@
 // @(#) $Id: class.filter.php 3813 2009-01-26 13:13:53Z glen $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.date.php");
 
 /**
  * Class to handle the business logic related to the custom filters.
@@ -60,7 +56,7 @@
                  WHERE
                     cst_id=" . Misc::escapeInteger($cst_id) . " AND
                     cst_is_global=1";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -92,7 +88,7 @@
                  WHERE
                     cst_id=" . Misc::escapeInteger($cst_id) . " AND
                     cst_usr_id=" . Misc::escapeInteger($usr_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -290,7 +286,7 @@
                         '" . Misc::escapeString($custom_field_string) . "'
                      )";
         }
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -318,7 +314,7 @@
                     cst_usr_id=" . Auth::getUserID() . " AND
                     cst_prj_id=" . Auth::getCurrentProject() . " AND
                     cst_title='" . Misc::escapeString($cst_title) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -351,7 +347,7 @@
                     )
                  ORDER BY
                     cst_title";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -384,7 +380,7 @@
                     )
                  ORDER BY
                     cst_title";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -496,7 +492,7 @@
         }
         $stmt .= "
                     cst_id=$cst_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -536,7 +532,7 @@
             $stmt .= "
                         cst_prj_id=" . Auth::getCurrentProject() . " AND
                         cst_id=$cst_id";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -561,7 +557,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_filter
                  WHERE
                     cst_prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.group.php	2009-01-12 23:15:12.045423021 +0200
+++ /usr/share/eventum/include/class.group.php	2009-02-05 02:03:28.804058755 +0200
@@ -29,12 +29,6 @@
 // @(#) $Id: class.group.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.prefs.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.project.php");
 
 /**
  * Class to handle the business logic related to the administration
@@ -67,7 +61,7 @@
                     '" . Misc::escapeString($_POST["description"]) . "',
                     '" . Misc::escapeInteger($_POST["manager"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -102,7 +96,7 @@
                     grp_manager_usr_id = '" . Misc::escapeInteger($_POST["manager"]) . "'
                  WHERE
                     grp_id = " . $_POST["id"];
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -138,7 +132,7 @@
                         " . APP_DEFAULT_DB . ".`" . APP_TABLE_PREFIX . "group`
                      WHERE
                         grp_id = $grp_id";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -178,7 +172,7 @@
                         $prj_id,
                         $grp_id
                      )";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -201,7 +195,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_group
                  WHERE
                     pgr_grp_id = " . Misc::escapeInteger($grp_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -224,7 +218,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_group
                  WHERE
                     pgr_prj_id IN(" . join(",", Misc::escapeInteger($projects)) . ")";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -258,7 +252,7 @@
                     " . APP_DEFAULT_DB . ".`" . APP_TABLE_PREFIX . "group`
                  WHERE
                     grp_id = $grp_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -316,7 +310,7 @@
                     " . APP_DEFAULT_DB . ".`" . APP_TABLE_PREFIX . "group`
                  ORDER BY
                     grp_name";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -359,7 +353,7 @@
                     pgr_prj_id = $prj_id
                  ORDER BY
                     grp_name";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -386,7 +380,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "group
                  ORDER BY
                     grp_name";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -411,7 +405,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  WHERE
                     usr_grp_id = " . Misc::escapeInteger($grp_id);
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -438,7 +432,7 @@
                  WHERE
                     pgr_prj_id = prj_id AND
                     pgr_grp_id = " . Misc::escapeInteger($grp_id);
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -465,7 +459,7 @@
                     grp_id = pgr_grp_id AND
                     pgr_prj_id = " . Auth::getCurrentProject() . " AND
                     grp_name = '" . Misc::escapeString($name) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
--- include/class.help.php	2009-01-12 23:15:12.065832249 +0200
+++ /usr/share/eventum/include/class.help.php	2009-02-05 01:39:37.047534043 +0200
@@ -29,7 +29,6 @@
 // @(#) $Id: class.help.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 $topics = array(
     "main" => array(
